// @flow
import { currentTheme } from '../../../utils/tests';
import { getPaletteColor, getOutlineColor } from './branding.css-rules';

describe('branding', () => {
  describe('getPaletteColor', () => {
    it('returns a valid hex code', () => {
      expect(
        getPaletteColor('greyscale-dark')({ theme: currentTheme }),
      ).toBeHexCode();
    });
  });

  describe('getOutlineColor', () => {
    it('returns a valid hex code', () => {
      expect(getOutlineColor(currentTheme)).toBeHexCode();
    });
  });
});
